Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.version
Class DataSpaceVersion

    java.lang.Object
      com.bea.dsp.management.version.DataSpaceVersion

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

    public class DataSpaceVersion

extends java.lang.Object
implements java.io.Externalizable

An opaque component representing the version of a dataspace snapshots. Versions may be used to compare two instances for equality; they are `not` ordered.

See Also:
  Serialized Form

Constructor Summary
`DataSpaceVersion()`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`DataSpaceVersion` | `getMetadataVersion()`
`boolean` | `isNodeVersionSameAsIn(java.lang.String nodeId, DataSpaceVersion version)` Returns true if the node id is present in this version and the passed version and both the version are the same.
`void` | `readExternal(java.io.ObjectInput in)`
`java.lang.String` | `toString()`
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataSpaceVersion

    public DataSpaceVersion()

Method Detail

### isNodeVersionSameAsIn

    public boolean isNodeVersionSameAsIn(java.lang.String nodeId,
                                         DataSpaceVersion version)

  Returns true if the node id is present in this version and the passed version and both the version are the same.

  Parameters:
    `nodeId` -
    `version` -
  Returns:
    `true` if the versions are the same.

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getMetadataVersion

    public DataSpaceVersion getMetadataVersion()

  Returns:
    the version of the dataspace model. In other words, it accounts for all the dataspace artifacts except for configuration artifacts.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.